Subject: bug#69117: 30.0.50; Cannot trash directory, if such exists in trash can

From: Ruslan Bekenev <[email-masked]>
Date: Wed, 10 Apr 2024 16:55:52 +1000

> I cannot trash this directory

I tried to reproduce it and it seems working fine on my end. The file/dir is renamed and then stored in the trash can. In your case it should just rename the kaidan directory to kaidan~1~

Could you please share your ~system-move-file-to-trash~ variable value? 

I came up with the test for this use-case.
It seems passing. I hope someone can review the test case and see if there is better way to replicate the issue. 

P.S.
I initially sent this email to the wrong location. My apologies if it brought a little mess.

Ruslan